Subject: Giving more detail in pg_upgrade errormessage

From: Daniel Gustafsson <[email-masked]>
Date: Tue, 18 Jul 2023 16:59:32 +0200

Looking at the upgrade question in [0] made me realize that we discard
potentially useful information for troubleshooting.  When we check if the
cluster is properly shut down we might as well include the status from
pg_controldata in the errormessage as per the trivial (but yet untested)
proposed diff.

Is there a reason not to be verbose here as users might copy/paste this output
when asking for help?

--
Daniel Gustafsson

[0] CACoPQdbQTysF=[email-masked]